/**
 * Core Memory Engine - Persistent AI Assistant Memory
 */
import { ProjectStatus, ProjectAnalysis, Memory, SearchOptions } from '../types';
export declare class MemoryEngine {
    private config;
    private db;
    constructor(projectPath?: string);
    initProject(projectPath: string, force?: boolean): Promise<void>;
    getProjectStatus(projectPath: string): Promise<ProjectStatus>;
    storeProjectAnalysis(projectPath: string, analysis: ProjectAnalysis): Promise<void>;
    storeMemory(projectPath: string, memory: Omit<Memory, 'id'>): Promise<string>;
    searchMemories(projectPath: string, query?: string, options?: SearchOptions): Promise<Memory[]>;
    exportMemory(projectPath: string, format?: 'json' | 'markdown'): Promise<string>;
    clearMemory(projectPath: string): Promise<void>;
    private initDatabase;
    private connectDatabase;
    private query;
    private queryOne;
    private execute;
    private logActivity;
    private formatBytes;
}
//# sourceMappingURL=MemoryEngine.d.ts.map