#!/usr/bin/env node
"use strict";
/**
 * Post-install script for CodeContext Pro
 * Shows licensing information and purchase instructions
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
console.log(chalk_1.default.bold.cyan(`
╔══════════════════════════════════════════════════════════════╗
║                    🧠 CodeContext Pro                        ║
║              AI Memory Revolution Installed                  ║
╚══════════════════════════════════════════════════════════════╝
`));
console.log(chalk_1.default.yellow(`
🔥 EARLY ADOPTER SPECIAL: $99/month
📈 After 10,000 licenses sold: $199/month

🧠 What you get:
✅ Persistent AI Memory (Revolutionary!)
✅ Real-time Code Execution & Verification
✅ Cloud Sync Across All Devices  
✅ Advanced Project Analytics
✅ Priority Support
✅ Price locked at $99/month FOREVER
`));
console.log(chalk_1.default.white(`
🚀 Get Started:

1. Purchase your license:
   ${chalk_1.default.cyan('codecontext purchase your@email.com')}

2. Activate your license:
   ${chalk_1.default.cyan('codecontext activate your@email.com YOUR-LICENSE-KEY')}

3. Initialize your project:
   ${chalk_1.default.cyan('codecontext init')}
   ${chalk_1.default.cyan('codecontext scan --deep')}

4. Experience the cognitive revolution!
`));
console.log(chalk_1.default.gray(`
💡 Why CodeContext Pro?

❌ ChatGPT Pro: $20/month (no memory, no execution)
❌ Claude Pro: $20/month (no memory, no execution)  
❌ GitHub Copilot: $10/month (no memory, no execution)
✅ CodeContext Pro: $99/month (INFINITE MEMORY + EXECUTION!)

This cognitive upgrade pays for itself in 1 day.
`));
console.log(chalk_1.default.blue(`
📚 Learn More:
   Website: https://codecontextpro.com
   Docs: https://docs.codecontextpro.com
   Support: support@codecontextpro.com

🎯 Check license status: codecontext license
`));
console.log(chalk_1.default.bold.yellow(`
⚠️  This tool requires a valid license to function.
    All features are locked until activated.
    
🔥 Only X early adopter licenses remaining!
`));
// Check if they already have a license
const LicenseService_1 = require("./services/LicenseService");
LicenseService_1.licenseService.getCurrentLicense().then(license => {
    if (license) {
        console.log(chalk_1.default.green(`
✅ LICENSE ACTIVE
   Email: ${license.email}
   Tier: ${license.tier.toUpperCase()}
   
🚀 You're ready to go! Run: codecontext init
    `));
    }
    else {
        console.log(chalk_1.default.red(`
🔒 NO ACTIVE LICENSE
   
🔥 Purchase now: codecontext purchase your@email.com
📈 Early adopter pricing won't last forever!
    `));
    }
}).catch(() => {
    // Silent fail for post-install
});
//# sourceMappingURL=post-install.js.map